Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Interface QPA

All Known Implementing Classes:
  QPAImpl

public interface QPA
extends java.io.Serializable

Represents a query for price and availability that is to be communicated to supplier(s).

Method Summary
`java.util.Calendar` | `creationDate()` Returns the date this QPA was created.
`java.lang.String` | `description()` Returns a description for the product to be quoted.
`java.util.Calendar` | `desiredDate()` Returns the date the purchaser desires to receive the product.
`long` | `desiredQty()` Returns the quantity of the product desired by the purchaser.
`Money` | `desiredUnitPrice()` Returns the unit price desired by the purchaser.
`java.lang.String` | `productId()` Returns the identifier for the product to be quoted.
`java.lang.String` | `requestId()` Returns the identifier for this QPA.

Method Detail

### requestId

    public java.lang.String requestId()

  Returns the identifier for this QPA.

### creationDate

    public java.util.Calendar creationDate()

  Returns the date this QPA was created.

### productId

    public java.lang.String productId()

  Returns the identifier for the product to be quoted.

### description

    public java.lang.String description()

  Returns a description for the product to be quoted.

### desiredQty

    public long desiredQty()

  Returns the quantity of the product desired by the purchaser.

### desiredUnitPrice

    public Money desiredUnitPrice()

  Returns the unit price desired by the purchaser.

### desiredDate

    public java.util.Calendar desiredDate()

  Returns the date the purchaser desires to receive the product.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved